Loading...
Searching...
No Matches
textfilecontent54_probe.c File Reference

textfilecontent54 probe More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <limits.h>`
`#include "_seap.h"`
`#include <probe-api.h>`
`#include <probe/entcmp.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include <oval_fts.h>`
`#include "common/debug_priv.h"`
`#include "common/util.h"`
`#include "common/oscap_pcre.h"`
`#include "common/list.h"`
`#include "textfilecontent54_probe.h"`
Include dependency graph for textfilecontent54_probe.c:

## Data Structures

struct | pfdata

## Macros

#define | FILE_SEPARATOR '/'

## Functions

int | textfilecontent54_probe_offline_mode_supported ()
int | textfilecontent54_probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

textfilecontent54 probe

Author
  "Tomas Heinrich" thein.nosp@m.ric@.nosp@m.redha.nosp@m.t.co.nosp@m.m

2010/06/13 dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process a textfilecontent54_object as defined in OVAL 5.4 and 5.5.